clang 8.0.0

Typedefs | Functions
BlockCounter.cpp File Reference
`#include "clang/StaticAnalyzer/Core/PathSensitive/BlockCounter.h"`
`#include "llvm/ADT/ImmutableMap.h"`
Include dependency graph for BlockCounter.cpp:

Go to the source code of this file.

## Typedefs
typedef llvm::ImmutableMap< CountKey, unsigned > | CountMap

## Functions
static CountMap | GetMap (void *D)
static CountMap::Factory & | GetFactory (void *F)

## Typedef Documentation

## ◆ CountMap

typedef llvm::ImmutableMap<CountKey, unsigned> CountMap

Definition at line 48 of file BlockCounter.cpp.

## Function Documentation

## ◆ GetFactory()

static CountMap::Factory& GetFactory | ( | void * | F | ) |
| inline static

Definition at line 54 of file BlockCounter.cpp.

Referenced by clang::ento::BlockCounter::Factory::GetEmptyCounter(), and clang::ento::BlockCounter::Factory::IncrementCount().

## ◆ GetMap()

static CountMap GetMap | ( | void * | D | ) |
| inline static

Definition at line 50 of file BlockCounter.cpp.

Referenced by clang::ento::BlockCounter::getNumVisited(), and clang::ento::BlockCounter::Factory::IncrementCount().